SCM Creator (+Github) - Bug #2194

Undefined method "safe_attribute_names" for repository
16 Jul 2013 11:11 - Lluis -

Status: Closed Start date: 16 Jul 2013
Priority: Normal Due date: 29 Jul 2013
Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.4.3

Redmine version: 1.4.4 External issue:

Description

After working around #2193, | get this error when clicking the “Create new repository” button (next to the new repository URL):

Processing RepositoriesControllerf#create (for ... at 2013-07-16 13:06:02) [POST]

Parameters: {"authenticity_token"=>"...", "repository_scm"=>"Bazaar", "repository"=>{"is_default
"=>"Q", "identifier"=>"linux", "url"=>"/home/code/bzr/project.linux", "log_encoding"=>"UTF-8", "ch
eckout_overwrite"=>"0", "checkout_description"=>"The data contained in this repository can be down
loaded to your computer using one of several clients.\r\nPlease see the documentation of your vers
ion control software client for more information.\r\n\r\nPlease select the desired protocol below
to get the URL.\r\n", "checkout_display_command"=>"1", "checkout_protocols"=>{"-1"=>{"protocol"=>"
empty"}, "O0"=>{"protocol"=>"BRazaar", "command"=>"bzr checkout", "fixed_url"=>"", "access"=>"permis
sion", "is_default"=>"1"}}}, "commit"=>"Create new repository", "operation"=>"add", "controller"=
"repositories", "action"=>"create", "project_id"=>"project"}

NoMethodError (undefined method "safe_attribute_names' for #<Repository::Bazaar:0x0000000387e670>)

/usr/lib/ruby/vendor_ruby/active_record/attribute_methods.rb:275:in "method_missing'

/usr/lib/ruby/vendor_ruby/action_controller/base.rb:1333:in ‘perform_action'

/usr/lib/ruby/vendor_ruby/action_controller/filters.rb:617:in “call_filters'

/usr/lib/ruby/vendor_ruby/action_controller/filters.rb:610:1in “perform_action_with_filters'

/usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in "block in perform_action_with_
benchmark'

/usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in “perform_action_with_benchmark

/usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:160:in “perform_action_with_rescue'
/usr/lib/ruby/vendor_ruby/action_controller/flash.rb:151:in ‘perform_action_with_flash'
/usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in "process'
/usr/lib/ruby/vendor_ruby/action_controller/filters.rb:606:1in “process_with_filters'
/usr/lib/ruby/vendor_ruby/action_controller/base.rb:391:in "process'
/usr/lib/ruby/vendor_ruby/action_controller/base.rb:386:in “call'
/usr/lib/ruby/vendor_ruby/action_controller/routing/route_set.rb:438:in “call'
/usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:87:in “dispatch'
/usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:121:in ~_call'
/usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:130:in "block in build_middleware_stac
kl
/usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in “call'
/usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in “block in call'
/usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/query_cache.rb:34:in "cache

/usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:9:in "cache'
/usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:28:in “call'
/usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:361:in
call"
/usr/lib/ruby/vendor_ruby/action_controller/string_coercion.rb:25:in “call'
/usr/lib/ruby/vendor_ruby/rack/head.rb:9:in “call'
/usr/lib/ruby/vendor_ruby/rack/methodoverride.rb:21:in “call'
/usr/lib/ruby/vendor_ruby/action_controller/params_parser.rb:15:in “call'
/usr/lib/ruby/vendor_ruby/action_controller/session/cookie_store.rb:99:in ‘call’
/usr/lib/ruby/vendor_ruby/action_controller/failsafe.rb:26:in “call'
/usr/lib/ruby/vendor_ruby/rack/lock.rb:15:in ‘call’
/usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:106:in “call'

09 Apr 2024 1/2



http://projects.andriylesyuk.com/issues/2193

/usr/lib/ruby/vendor_ruby/rack/handler/fastcgi.rb:66:in "“serve'

public/dispatch.fcgi:24:in "~ <main>'

Rendering /usr/share/redmine/public/500.html

Again redmine 1.4.4 in debian stable.

(500 Internal Server Error)

Associated revisions

Revision 126 - 29 Jul 2013 21:08 - Andriy Lesyuk
Fixes for Redmine 1.4.x (closes #2193 and #2194)

History

#1 - 29 Jul 2013 12:41 - Andriy Lesyuk
- Status changed from New to Open
- Assignee set to Andriy Lesyuk

- Target version set to 0.4.3

#2 - 29 Jul 2013 21:05 - Andriy Lesyuk
- Due date set to 29 Jul 2013
- Status changed from Open to In Progress

- % Done changed from 0 to 100

#3 - 29 Jul 2013 21:09 - Andriy Lesyuk

- Status changed from In Progress to Closed
